Summary: SqlWork is a SQL builder/executer for Oracle databases.
Name: sqlwork
Version: 3.1
Release: 1
Copyright: GPL
Group: Applications/Databases
Source: ftp://oracle.mattshouse.com/pub/sqlwork-3.1.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot

%description
SQLWork is a SQL Worksheet-like querying tool for Oracle. 
Screenshots are available at the home page. 
This is the second member of the upcoming Oracle 
Application Suite for Linux.

%prep
%setup -q

%build
./configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/share/orasoft/icons
mkdir -p $RPM_BUILD_ROOT/root/.oralinux
mkdir -p $RPM_BUILD_ROOT/usr/local/share/orasoft/skel

install -s -m 755 sqlwork /$RPM_BUILD_ROOT/usr/local/bin/sqlwork
install sqlworkrc.reg /$RPM_BUILD_ROOT/root/.oralinux/
install sqlworkrc.reg /$RPM_BUILD_ROOT/usr/local/share/orasoft/skel
install xpm/sqlwork.xpm /$RPM_BUILD_ROOT/usr/local/share/orasoft/icons
install xpm/open.xpm /$RPM_BUILD_ROOT/usr/local/share/orasoft/icons
install xpm/quit.xpm /$RPM_BUILD_ROOT/usr/local/share/orasoft/icons
install xpm/save.xpm /$RPM_BUILD_ROOT/usr/local/share/orasoft/icons
install xpm/print.xpm /$RPM_BUILD_ROOT/usr/local/share/orasoft/icons
install xpm/error.xpm /$RPM_BUILD_ROOT/usr/local/share/orasoft/icons
install xpm/submit.xpm /$RPM_BUILD_ROOT/usr/local/share/orasoft/icons
install xpm/printer.xpm /$RPM_BUILD_ROOT/usr/local/share/orasoft/icons
install xpm/new.xpm /$RPM_BUILD_ROOT/usr/local/share/orasoft/icons
install xpm/stop.xpm /$RPM_BUILD_ROOT/usr/local/share/orasoft/icons
install xpm/login.xpm /$RPM_BUILD_ROOT/usr/local/share/orasoft/icons
install xpm/quit-mini.xpm /$RPM_BUILD_ROOT/usr/local/share/orasoft/icons
install xpm/submit-mini.xpm /$RPM_BUILD_ROOT/usr/local/share/orasoft/icons

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO COPYING ChangeLog

/usr/local/bin/sqlwork
/root/.oralinux/sqlworkrc.reg
/usr/local/share/orasoft/skel/sqlworkrc.reg
/usr/local/share/orasoft/icons/sqlwork.xpm
/usr/local/share/orasoft/icons/open.xpm
/usr/local/share/orasoft/icons/quit.xpm
/usr/local/share/orasoft/icons/save.xpm
/usr/local/share/orasoft/icons/print.xpm
/usr/local/share/orasoft/icons/error.xpm
/usr/local/share/orasoft/icons/submit.xpm
/usr/local/share/orasoft/icons/printer.xpm
/usr/local/share/orasoft/icons/new.xpm
/usr/local/share/orasoft/icons/stop.xpm
/usr/local/share/orasoft/icons/login.xpm
/usr/local/share/orasoft/icons/submit-mini.xpm
/usr/local/share/orasoft/icons/quit-mini.xpm

%changelog

%pre
if [ -f /root/.oralinux/sqlworkrc.reg ]
then
rm /root/.oralinux/sqlworkrc.reg
fi
%post
echo
echo
echo "WARNING!"
echo "The file /root/.oralinux/sqlworkrc.reg must be copied to the"
echo "\$HOME/.oralinux/ directory of any user that wishes to use this program."
echo 

